设为首页收藏本站

融智技术学院

 找回密码
 注册

QQ登录

只需一步,快速开始

iOS游戏框架Sprite Kit基础教程
搜索
查看: 377|回复: 0

【iPhone每日一问】升级到Xcode4后,错误了,没有框架实现编译

[复制链接]
MrLi 发表于 2014-3-15 15:00:06 | 显示全部楼层 |阅读模式

问:
在更新到Xcode4之后,我得到了一个错误,我的应用程序依赖与所有的库项目。
[BEROR]No architectures to compile for (ONLY_ACTIVE_ARCH=YES, active arch=i386, VALID_ARCHS=armv6).
答:
它看起来像你必须要添加I386(被用来作为对Intel32位微处理器的统称)到build setting中的Valid Architectures内。对于模拟器我正在编译,这就是为什么它要申诉。
这似乎很奇怪,项目仅在更新前是正常运行的。在我看来,你必须要将所有的项目进行升级。至少,现在它是工作的。
温馨提示:您的支持与理解,是我们工作最大的动力。如果您是从网上购买的图书,请在对应的网店,给予本书一个好评,我们将衷心感谢!!!
以下是《iOS 7开发快速入门》对应的购书评论地址:
当当网:http://product.dangdang.com/23409092.html
亚马逊:http://www.amazon.cn/dp/B00HTVIWVW
京东网:http://item.jd.com/11391620.html
您需要登录后才可以回帖 登录 | 注册

本版积分规则

新突破电商

小黑屋|手机版|Archiver|融智技术学院 ( 京ICP备09018999号  

GMT+8, 2019-1-22 00:53

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表